# Class: Tools.Markdown

Defined in: | node_modules/codo/lib/tools/markdown.coffee

## Overview

It looks like all the markdown libraries for node doesn't get GitHub flavored markdown right. This helper class post-processes the best available output from the marked library to conform to GHM. In addition the allowed tags can be limited.

## Variables Summary

limitedTags =

      'a,abbr,acronym,b,big,cite,code,del,em,i,ins,sub,sup,span,small,strike,strong,q,tt,u'

## Class Method Summary

- . (void) convert(markdown, limit = false, allowed = Markdown.limitedTags) Convert markdown to Html.
- . (String) limit(html, allowed) Strips all unwanted tag from the html

## Class Method Details

. (void) convert(markdown, limit = false, allowed = Markdown.limitedTags)

Convert markdown to Html. If the param `limit` is true, then all unwanted elements are stripped from the result and also all existing newlines.

### Parameters:

- markdown ( `String` ) — the markdown markup
- limit ( `Boolean` ) — if elements should be limited

. (String) limit(html, allowed)

Strips all unwanted tag from the html

### Parameters:

- html ( `String` ) — the Html to clean
- allowed ( `String` ) — the comma separated list of allowed tags

### Returns:

- ( `String` ) — the cleaned Html

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input